---
- name: Populate g_service_nodes host group if needed
  hosts: localhost
  connection: local
  become: no
  gather_facts: no
  tasks:
  - fail: msg="new_cluster_state is required to be injected in this playbook"
    when: new_cluster_state is not defined

  - name: Evaluate g_service_nodes
    add_host: name={{ item }} groups=g_service_nodes
    with_items: "{{ oo_host_group_exp | default([]) }}"

- name: Change state on node instance(s)
  hosts: g_service_nodes
  connection: ssh
  gather_facts: no
  tasks:
    - service: name={{ service_type }}-node state="{{ new_cluster_state }}"
